summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--gitstatus/gitstatus.plugin.zsh6
1 files changed, 3 insertions, 3 deletions
diff --git a/gitstatus/gitstatus.plugin.zsh b/gitstatus/gitstatus.plugin.zsh
index 646ee12f..7a0034f8 100644
--- a/gitstatus/gitstatus.plugin.zsh
+++ b/gitstatus/gitstatus.plugin.zsh
@@ -381,9 +381,7 @@ function _gitstatus_process_response() {
# -D Unless this option is specified, report zero staged, unstaged and conflicted
# changes for repositories with bash.showDirtyState = false.
function gitstatus_start() {
- emulate -L zsh || return
- setopt no_aliases no_bg_nice extended_glob typeset_silent monitor || return
-
+ emulate -L zsh -o no_aliases -o no_bg_nice -o extended_glob -o typeset_silent || return
print -rnu2 || return
local opt OPTARG
@@ -465,6 +463,8 @@ function gitstatus_start() {
setopt xtrace
fi
+ setopt monitor || return
+
if (( ! _GITSTATUS_STATE_$name )); then
if [[ -r /proc/version && "$(</proc/version)" == *Microsoft* ]]; then
lock_fd=-1